<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Article;
use App\Http\Requests\AdminAddArticleRequest;
use App\Http\Requests\AdminEditArticleRequest;

class AdminArticlesController extends Controller
{
    public function add_article()
    {
        return view('admin.addarticle')->with([

        ]);
    }

    public function add_article_post(AdminAddArticleRequest $request)
    {
        $article = new Article();

        if ($request->hasFile('image')) {
            $image_name = md5($request->file('image')) . '.' . $request->file('image')->getClientOriginalExtension();
            $request->file('image')->move('uploads/admin/images', $image_name);
            $article->image = $image_name;
        }

        $article->title = $request->input('title');
        $article->title_ar = $request->input('title_ar');
        $article->content = $request->input('content');
        $article->content_ar = $request->input('content_ar');

        $save = $article->save();
        if ($save) {
            return redirect()->back()->with('success', 's');
        }


    }

    public function get_all_articles()
    {
        $articles = Article::orderBy('id', 'DESC')->get();
        return view('admin.allarticles')->with([
            'articles' => $articles,
        ]);
    }

    public function edit_articles($id)
    {
        $article = Article::where('id', $id)->first();
        return view('admin.editarticle')->with([
            'article' => $article
        ]);

    }

    public function edit_articles_post($id, AdminEditArticleRequest $request)
    {
        $article = Article::where('id', $id)->first();

        if ($request->hasFile('image')) {
            $image_name = md5($request->file('image')) . '.' . $request->file('image')->getClientOriginalExtension();
            $request->file('image')->move('uploads/admin/images', $image_name);
            $article->image = $image_name;
        }

        $article->title = $request->input('title');
        $article->title_ar = $request->input('title_ar');
        $article->content = $request->input('content');
        $article->content_ar = $request->input('content_ar');

        $save = $article->save();
        if ($save) {
            return redirect()->back()->with('success', 's');
        }

    }

    public function delete_article($id)
    {
        $delete = Article::where('id', $id)->delete();
        if ($delete) {
            return redirect()->action('AdminArticlesController@get_all_articles')->with('msg', 'تم حذف المقاله');
        }
    }

    public function get_article($id)
    {
        $article = Article::where('id', $id)->first();
        return view('admin.getarticle')->with([
            'article' => $article
        ]);
    }
}
