<?php

namespace App\Http\Controllers;

use App\User;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Requests\AdminEditUserRequest;

class AdminUsersController extends Controller
{
    public function get_all_users()
    {
        $users = User::orderBy('id', 'DESC')->get();
        return view('admin.getallusers')->with([
            'users' => $users
        ]);
    }

    public function get_suspended_users()
    {
        $users = User::where('suspended', 1)->orderBy('id', 'DESC')->get();
        return view('admin.getsuspendedusers')->with([
            'users' => $users
        ]);
    }

    public function suspend_user($id)
    {
        $user = User::where('id', $id)->first();
        $user->suspended = 1;
        $save = $user->save();
        if ($save) {
            return redirect()->back()->with('msg', 'تم ايقاف المستخدم');
        }
    }

    public function un_suspend_user($id)
    {
        $user = User::where('id', $id)->first();
        $user->suspended = 0;
        $save = $user->save();
        if ($save) {
            return redirect()->back()->with('msg', 'تم الغاء ايقاف المستخدم');
        }
    }

    public function delete_user($id)
    {
        $delete = User::where('id', $id)->delete();
        if ($delete) {
            return redirect()->back()->with('msg', 'تم حذف المستخدم');
        }
    }

    public function edit_user($id)
    {
        $user = User::where('id', $id)->first();
        return view('admin.edituser')->with([
            'user' => $user,
        ]);
    }

    public function edit_user_post($id, AdminEditUserRequest $request)
    {
        $user = User::where('id', $id)->first();

        $user->name = $request->input('name');
        $user->mobile = $request->input('mobile');

        if ($request->has('email')) {
            $user->email = $request->input('email');
        }

        $save = $user->save();
        if ($save) {
            return redirect()->back()->with('success', 's');
        }

    }

}
