<?php

namespace App\Http\Controllers;

use App\Banktransfer;
use App\Registration;
use Illuminate\Http\Request;

use App\Http\Requests;
use App\Bankaccount;
use App\Http\Requests\AdminAddBankAccountRequest;

class BankAccounts extends Controller
{
    public function add_bank_account()
    {
        return view('admin.addbankaccount')->with([

        ]);
    }

    public function add_bank_account_post(AdminAddBankAccountRequest $request)
    {
        $account = new Bankaccount();
        $account->bank = $request->input('bank');
        $account->owner = $request->input('owner');
        $account->account_number = $request->input('account_number');
        $account->iban = $request->input('iban');

        $save = $account->save();
        if ($save) {
            return redirect()->back()->with('success', 's');
        }


    }

    public function get_all_bank_accounts()
    {
        $accounts = Bankaccount::all();

        return view('admin.allbankaccounts')->with([
            'accounts' => $accounts
        ]);
    }

    public function delete_account($id)
    {
        $delete = Bankaccount::where('id', $id)->delete();
        if ($delete) {
            return redirect()->back()->with('msg', 'تم حذف الحساب');
        }
    }

    public function edit_account($id)
    {
        $account = Bankaccount::where('id', $id)->first();
        return view('admin.editbankaccount')->with([
            'account' => $account
        ]);
    }

    public function edit_account_post($id, AdminAddBankAccountRequest $request)
    {
        $account = Bankaccount::where('id', $id)->first();
        $account->bank = $request->input('bank');
        $account->owner = $request->input('owner');
        $account->account_number = $request->input('account_number');
        $account->iban = $request->input('iban');

        $save = $account->save();
        if ($save) {
            return redirect()->back()->with('success', 's');
        }

    }

    // bank transfers
    public function get_all_transfers()
    {
        $transfers = Banktransfer::all();

        return view('admin.alltransfers')->with([
            'transfers' => $transfers,
        ]);
    }

    public function delete_transfer($id)
    {
        $delete = Banktransfer::where('id', $id)->delete();
        if ($delete) {
            return redirect()->back()->with('msg', 'تم حذف التحويل');
        }
    }

    public function change_reg_to_paid($id)
    {
        $reg = Registration::where('id', $id)->first();

        $reg->paid = 1;

        $save = $reg->save();

        if ($save) {
            return redirect()->back()->with('msg', 'تم تغير حالة الدفع');
        }

    }

    public function change_reg_to_un_paid($id)
    {
        $reg = Registration::where('id', $id)->first();

        $reg->paid = 0;

        $save = $reg->save();

        if ($save) {
            return redirect()->back()->with('msg', 'تم تغير حالة الدفع');
        }
    }


}
