<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;
use Illuminate\Support\Facades\Auth;

class AdminEditSiteWritingContentRequest extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        if (Auth::guard('admins')->user()) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'about' => 'required',
            'about_ar' => 'required',
            'vision' => 'required',
            'vision_ar' => 'required',
            'mission' => 'required',
            'mission_ar' => 'required',
            'values' => 'required',
            'values_ar' => 'required',
            'about_image' => 'image',
            'our_vision_image' => 'image',
            'our_mission_image' => 'image',
            'our_values_image' => 'image',
        ];
    }
}
