<?php

namespace App\Http\Requests;

use App\Http\Requests\Request;
use Illuminate\Support\Facades\Auth;

class AdminUpdateSitePublicSettings extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        if (Auth::guard('admins')->user()) {
            return true;
        } else {
            return false;
        }
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'logo' => 'image',
            'site_title' => 'required',
            'site_title_ar' => 'required',
            'site_email' => 'required|email',
            'meta_desc' => 'required',
            'meta_key' => 'required',
            'site_mobile' => 'required',
        ];
    }
}
