@extends('admin.app')
@section('content')
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">جميع المقالات</h3>
        </div><!-- /.box-header -->

        @if(session('msg'))
            <div class="alert alert-info col-lg-8 col-lg-offset-2">
                {{ session('msg') }}
            </div>
        @endif


        <div class="box-body">
            <table id="table" class="table table-bordered table-striped">
                <thead>
                <tr>
                    <th> #</th>
                    <th>عنوان المقاله بالعربيه</th>
                    <th>عنوان المقاله بالانجليزيه</th>
                    <th>صورة ال cover</th>
                    <th>محتوى المقاله</th>
                    <th>تعديل</th>
                    <th>حذف</th>
                </tr>
                </thead>
                <tbody>
                @if(count($articles) > 0)
                    @foreach($articles as $article)
                        <tr>
                            <td>{{ $article->id }}</td>
                            <td>{{ $article->title_ar }}</td>
                            <td>{{ $article->title }}</td>
                            <td>
                                <a href="/uploads/admin/images/{{ $article->image }}"
                                   data-lightbox="{{ $article->image }}">
                                    <img width="50" src="/uploads/admin/images/{{ $article->image }}" alt="">
                                </a>
                            </td>
                            <td>
                                <a href="{{ action('AdminArticlesController@get_article', $article->id) }}"
                                   class="btn btn-success">المقاله</a>
                            </td>
                            <td>
                                <a href="{{ action('AdminArticlesController@edit_articles', $article->id) }}"
                                   class="btn btn-info">تعديل</a>
                            </td>

                            <td>
                                <a class="btn btn-danger dlt">حذف</a>
                                <a href="{{ action('AdminArticlesController@delete_article', $article->id) }}"
                                   class="btn btn-danger dlt-show">تأكيد الحذف</a>
                            </td>
                        </tr>
                    @endforeach
                @endif
                </tbody>
            </table>
        </div><!-- /.box-body -->
    </div><!-- /.box -->
@stop