@extends('user.app')
@section('content')

    <section class="slider hidden-xs">
        <div id="carousel-example-generic" class="carousel slide">
            <!-- Indicators -->


            <!-- Wrapper for slides -->
            <div class="carousel-inner" role="listbox">

                <!-- First slide -->
                <div class="item active">
                    <img src="/assets/user/images/header-bg.jpg" alt="">
                    <div class="carousel-caption">

                        <h2 data-animation="animated fadeInDown">{{ trans('trans.welcome to') }}</h2>
                        <h4 data-animation="animated fadeInDown">{{ trans('trans.assistance deputy for medical assistant services') }}</h4>
                    </div>

                </div> <!-- /.item -->


            </div><!-- /.carousel-inner -->


        </div>
        <!-- /.carousel -->
    </section>


    <section class="about">
        <div class="container">
            <div class="row">

                <div class="col-md-7">
                    <img src="/uploads/admin/{{ $site_logo }}" alt="" class="img-responsive">
                    <h3 class="sec-title">{{ trans('trans.what do you know about us ?') }}</h3>
                    <p>{{ $about }}</p>
                    {{--<h5> Assistant Deputy Minister for Supportive Medical Services</h5>--}}
                    {{--<h6> munira Hemdan al-Esseimi</h6>--}}
                </div>
                <div class="col-md-5">
                    <div class="about-img hidden-sm hidden-xs">
                        <img src="/uploads/admin/{{$about_image}}" alt="" class="img-responsive">
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="goals">
        <div class="container">
            <div class="text-center">
                <div class="goal-icon"><img src="/assets/user/images/goal-icon.png" alt=""
                                            class="img-responsive center  ">
                </div>
                <h2>{{ trans('trans.our general objective') }}</h2>
            </div>
            <div class="goal-description"><p>
                    {{ $objective }}

                </p></div>
        </div>
    </section>


    <section class="gallery">
        <div class="container">
            <div class="center">
                <h4 class="sec-title">{{ trans('trans.latest articles') }}</h4>
                <p class="sec-desc">
                    @if(App::isLocale('en'))
                        {{ $latest_articles_desc }}
                    @else
                        {{ $latest_articles_desc_ar }}
                    @endif
                </p>
            </div>
            <br><br><br>
            <div class="row">

                @if(count($latest_articles) > 0)
                    @foreach($latest_articles as $article)
                        <div class="col-md-3 col-sm-6">
                            <div class="single-gallery-item">
                                <div class="gallery-main-img">
                                    <a href="{{ action('MainController@get_article', $article->id) }}">
                                        <img src="/uploads/admin/images/{{$article->image}}" alt=""
                                             class="img-responsive img-circle"></a>
                                </div>
                                <h2><a href="">
                                        @if(App::isLocale('en'))
                                            {{ $article->title }}
                                        @else
                                            {{ $article->ar }}
                                        @endif

                                    </a></h2>
                                <p>
                                    @if(App::isLocale('en'))
                                        <?php echo strip_tags(substr($article->content, 0, 100)); ?>
                                    @else
                                        <?php echo strip_tags(substr($article->content_ar, 0, 100)); ?>
                                    @endif
                                </p>
                            </div>
                        </div>
                    @endforeach
                @endif

            </div>
            <br><br><br><br>
            @if(count($latest_articles) > 8)
                <div class="center">
                    <a href="{{ action('MainController@articles') }}"
                       class="btn btn-green">{{ trans('trans.see all articles') }}</a>
                </div>
            @endif
        </div>
    </section>


    <section class="gallery">
        <div class="container">

            <div class="center">
                <h4 class="sec-title">{{ trans('trans.latest photos') }}</h4>
                <p class="sec-desc">
                    @if(App::isLocale('en'))
                        {{ $latest_photos_desc }}
                    @else
                        {{ $latest_photos_desc_ar }}
                    @endif
                </p>
            </div>
            <br><br><br>

            <div class="row">
                @if(count($latest_photos) > 0)
                    @foreach($latest_photos as $photo)

                        <div class="col-md-3 col-sm-6">
                            <div class="single-gallery-item">
                                <div class="gallery-main-img">
                                    <a href="/uploads/user/gallery/{{ $photo->image }}"
                                       data-lightbox="{{ $photo->image }}"><img
                                                src="/uploads/user/gallery/{{ $photo->image }}" alt=""
                                                class="img-responsive img-circle"></a>
                                </div>
                                <h2>
                                    @if(App::isLocale('en'))
                                        {{ $photo->title }}
                                    @else
                                        {{ $photo->title_ar }}
                                    @endif
                                </h2>
                                {{--<p>departments based on trust and a sense of health security through upgraded integrative work,--}}
                                {{--taking the cau</p>--}}
                            </div>
                        </div>

                    @endforeach
                @endif

            </div>
            <br><br><br><br>
            @if(count($latest_photos) > 8)
                <div class="center">
                    <a href="{{ action('MainController@gallery') }}"
                       class="btn btn-green">{{ trans('trans.see all photos') }}</a>
                </div>
            @endif
        </div>
    </section>

    <section class="projects ">
        <div class="container">
            <div class="center">
                <h4 class="sec-title">{{ trans('trans.scientific programs schedules') }}</h4>
                <p class="sec-desc">
                    @if(App::isLocale('en'))
                        {{ $scientific_programs_desc }}
                    @else
                        {{ $scientific_programs_desc_ar }}
                    @endif
                </p>
            </div>
            <br><br><br>
            <ul class="list-inline text-center">
                @if(count($scientific_programs) > 0)
                    @foreach($scientific_programs as $program)
                        <li>
                            <a href="{{ action('MainController@get_scientific_program', $program->id) }}">
                        <span class="icon"><img src="/uploads/admin/{{ $program->image }}" alt=""
                                                class="img-responsive"></span>
                                <h1>
                                    @if(App::isLocale('en'))
                                        {{ $program->name }}
                                    @else
                                        {{ $program->name_ar }}
                                    @endif
                                </h1>
                            </a>
                        </li>
                    @endforeach
                @endif

            </ul>

        </div>
    </section>


@stop