<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Ott | Dashboard</title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.4 -->
    <link rel="stylesheet" href="/assets/admin/bootstrap/css/bootstrap.min.css">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <!-- Ionicons 2.0.0 -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">

    <!-- light box -->
    <link rel="stylesheet" href="/assets/admin/plugins/lightbox/css/lightbox.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="/assets/admin/dist/css/AdminLTE.min.css">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="/assets/admin/dist/css/skins/_all-skins.min.css">

    <!-- DataTables -->
    <link rel="stylesheet" href="/assets/admin/plugins/datatables/dataTables.bootstrap.css">

    <link rel="stylesheet" href="/assets/admin/dist/fonts/fonts-fa.css">
    <link rel="stylesheet" href="/assets/admin/dist/css/bootstrap-rtl.min.css">
    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->


    <style>
        .admin-content {
            height: 2000px;
        }
    </style>
</head>
<body class="skin-blue sidebar-mini">
<div class="wrapper">

    <header class="main-header">
        <!-- Logo -->
        <a href="/admin" class="logo">
            <!-- mini logo for sidebar mini 50x50 pixels -->
            <span class="logo-mini"><b>Serv</b>5</span>
            <!-- logo for regular state and mobile devices -->
            <span class="logo-lg"><b>Serv</b>5</span>
        </a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top" role="navigation">
            <!-- Sidebar toggle button-->
            <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">

                    <!-- User Account: style can be found in dropdown.less -->
                    <li class="dropdown user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <img src="/assets/admin/dist/img/avatar5.png" class="user-image" alt="User Image">
                            <span class="hidden-xs"><?php echo e(Auth::guard('admins')->user()->name); ?></span>
                        </a>
                        <ul class="dropdown-menu">
                            <!-- User image -->
                            <li class="user-header">
                                <img src="/assets/admin/dist/img/avatar5.png" class="img-circle" alt="User Image">
                                <p>
                                    <?php echo e(Auth::guard('admins')->user()->name); ?>

                                    <small><?php echo e(Auth::guard('admins')->user()->created_at); ?></small>
                                </p>
                            </li>

                            <!-- Menu Footer-->
                            <li class="user-footer">

                                <div class="pull-right">
                                    <a href="<?php echo e(action('AdminLoginController@logout')); ?>"
                                       class="btn btn-default btn-flat ">تسجيل خروج</a>
                                </div>
                            </li>
                        </ul>
                    </li>
                    <!-- Control Sidebar Toggle Button -->
                </ul>
            </div>
        </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">


            <!-- sidebar menu: : style can be found in sidebar.less -->
            <ul class="sidebar-menu">

                <li class="treeview">
                    <a href="#">
                        <i class="fa fa-users"></i> <span>الاعضاء</span> <i class="fa fa-angle-left pull-left"></i>
                    </a>
                    <ul class="treeview-menu">
                        <li class="<?php if(url()->current() == action('AdminUsersController@get_all_users') ): ?> active <?php endif; ?>">
                            <a href="<?php echo e(action('AdminUsersController@get_all_users')); ?>"><i class="fa fa-users"></i>
                                جميع الاعضاء </a>
                        </li>
                        <li class="<?php if(url()->current() == action('AdminUsersController@get_suspended_users') ): ?> active <?php endif; ?>">
                            <a href="<?php echo e(action('AdminUsersController@get_suspended_users')); ?>"><i
                                        class="fa fa-users"></i> الاعضاء الموقوفين </a>
                        </li>
                    </ul>
                </li>

                <li class="treeview">
                    <a href="#">
                        <i class="fa fa-wrench"></i> <span>الاداره</span> <i class="fa fa-angle-left pull-left"></i>
                    </a>
                    <ul class="treeview-menu">
                        <li class="<?php if(url()->current() == action('AdminAdminsController@get_all_admins') ): ?> active <?php endif; ?>">
                            <a href="<?php echo e(action('AdminAdminsController@get_all_admins')); ?>"><i class="fa fa-users"></i>
                                جميع اعضاء الاداره </a>
                        </li>
                        <li class="<?php if(url()->current() == action('AdminAdminsController@add_admin') ): ?> active <?php endif; ?>">
                            <a href="<?php echo e(action('AdminAdminsController@add_admin')); ?>"><i class="fa fa-plus"></i>اضافة
                                مدير جديد </a>
                        </li>
                    </ul>
                </li>

                <li class="treeview">
                    <a href="#">
                        <i class="fa fa-cog"></i> <span> الاعدادات </span> <i class="fa fa-angle-left pull-left"></i>
                    </a>
                    <ul class="treeview-menu">

                        <li class="<?php if(url()->current() == action('AdminSettingsController@edit_site_public_settings') ): ?> active <?php endif; ?>">
                            <a href="<?php echo e(action('AdminSettingsController@edit_site_public_settings')); ?>"><i
                                        class="fa fa-cog"></i>
                                الاعدادات العامه للموقع </a>
                        </li>

                    </ul>
                </li>

                <li class="<?php if(url()->current() == action('AdminContactsController@get_contacts') ): ?> active <?php endif; ?>">
                    <a href="<?php echo e(action('AdminContactsController@get_contacts')); ?>">
                        <i class="fa fa-envelope"></i> <span>البريد الوارد</span>
                        <?php /*<small class="label pull-left bg-yellow">12</small>*/ ?>
                    </a>
                </li>

            </ul>
        </section>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">

        <div class="admin-content">
            <?php echo $__env->yieldContent('content'); ?>
        </div>

    </div><!-- ./wrapper -->

    <!-- jQuery 2.1.4 -->
    <script src="/assets/admin/plugins/jQuery/jQuery-2.1.4.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="https://code.jquery.com/ui/1.11.4/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <!-- Bootstrap 3.3.4 -->
    <script src="/assets/admin/bootstrap/js/bootstrap.min.js"></script>

    <script src="/assets/admin/dist/js/app.min.js"></script>


    <!-- light box -->
    <script src="/assets/admin/plugins/lightbox/js/lightbox.js"></script>

    <!-- DataTables -->
    <script src="/assets/admin/plugins/datatables/jquery.dataTables.min.js"></script>
    <script src="/assets/admin/plugins/datatables/dataTables.bootstrap.min.js"></script>

    <script src="/assets/admin/dist/js/custom.js"></script>

    <script>
        $(function () {
            $("#table").DataTable();
//            $('#example2').DataTable({
//                "paging": true,
//                "lengthChange": false,
//                "searching": false,
//                "ordering": true,
//                "info": true,
//                "autoWidth": false
//            });
        });
    </script>

</div>
</body>
</html>
